import { SecretLintRuleCreator } from "@secretlint/types";
export interface Options {
    allows?: string[];
}
/**
 * These should be ignored by default, because these are used in AWS example.
 * https://docs.aws.amazon.com/ja_jp/general/latest/gr/aws-access-keys-best-practices.html
 */
export declare const BUILTIN_IGNORED: {
    AWSAccountID: string[];
    AWSSecretAccessKey: string[];
};
export declare const messages: {
    AWSAccountID: {
        en: (props: {
            ID: string;
        }) => string;
        ja: (props: {
            ID: string;
        }) => string;
    };
    AWSSecretAccessKey: {
        en: (props: {
            KEY: string;
        }) => string;
        ja: (props: {
            KEY: string;
        }) => string;
    };
    AWSAccessKeyID: {
        en: (props: {
            ID: string;
        }) => string;
        ja: (props: {
            ID: string;
        }) => string;
    };
};
export declare const creator: SecretLintRuleCreator<Options>;
export default creator;
